Subject: question on netlink_overrun()

From: "Chris Friesen" <[email-masked]>
Date: Wed, 04 Mar 2009 19:18:41 -0600

Hi all,

Currently we set netlink_overrun() on the socket in both the unicast and 
broadcast paths.  If I understand things correctly this should result in 
the receiver getting ENOBUFS the next time they try a socket-related 
syscall.

However, in the netlink_dump() code we don't call it--was this an 
oversight or an intentional design decision?

I have a userspace app that would like to know if it ran out of buffer 
space in the receive socket (and hence lost some packets) while dumping 
SA information in xfrm_user_rcv_msg().

Thanks,

Chris